> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Notifications (/api-reference/notifications/list-notifications)

List all notifications for the account

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/notifications
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/notifications:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Notifications
      operationId: listNotifications
      description: List all notifications for the account
      parameters:
        - in: query
          name: type
          description: Filter notifications by a specific type
          example: comments
          required: false
          schema:
            type: string
            description: Filter notifications by a specific type
            example: comments
            enum:
              - all
              - subscriptions
              - onlyfans
              - purchases
              - tips
              - tags
              - comments
              - mentions
              - likes
              - promotions
        - in: query
          name: limit
          description: The number of notifications. Default `10`
          example: 10
          required: false
          schema:
            type: integer
            description: The number of notifications. Default `10`
            example: 10
        - in: query
          name: from_id
          description: Used for pagination. This value should be the ID of the previous
            response's last notification.
          example: 123
          required: false
          schema:
            type: integer
            description: Used for pagination. This value should be the ID of the previous
              response's last notification.
            example: 123
        - in: query
          name: skip_users
          description: Whether to skip user details. Default `all`
          example: all
          required: false
          schema:
            type: string
            description: Whether to skip user details. Default `all`
            example: all
            enum:
              - all
              - none
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    list:
                      - id: 123
                        type: subscribed
                        createdAt: 2025-01-01T00:00:00+00:00
                        isRead: true
                        text: subscribed to your profile!
                        replacePairs:
                          "{SUBSCRIBER_LINK}": <a href='https://onlyfans.com/username'>Name</a>
                          "{PRICE}": free
                        subType: new_subscriber_trial
                        canGoToProfile: true
                        user:
                          id: 123
                          _view: n
                    hasMore: true
                  _meta:
                    _credits:
                      used: 1
                      balance: 1000000015
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 10000000
                      limit_day: 50000
                      remaining_minute: 9999999
                      remaining_day: 49973
                properties:
                  data:
                    type: object
                    properties:
                      list:
                        type: array
                        example:
                          - id: 123
                            type: subscribed
                            createdAt: 2025-01-01T00:00:00+00:00
                            isRead: true
                            text: subscribed to your profile!
                            replacePairs:
                              "{SUBSCRIBER_LINK}": <a href='https://onlyfans.com/username'>Name</a>
                              "{PRICE}": free
                            subType: new_subscriber_trial
                            canGoToProfile: true
                            user:
                              id: 123
                              _view: n
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 123
                            type:
                              type: string
                              example: subscribed
                            createdAt:
                              type: string
                              example: 2025-01-01T00:00:00+00:00
                            isRead:
                              type: boolean
                              example: true
                            text:
                              type: string
                              example: subscribed to your profile!
                            replacePairs:
                              type: object
                              properties:
                                "{SUBSCRIBER_LINK}":
                                  type: string
                                  example: <a href='https://onlyfans.com/username'>Name</a>
                                "{PRICE}":
                                  type: string
                                  example: free
                            subType:
                              type: string
                              example: new_subscriber_trial
                            canGoToProfile:
                              type: boolean
                              example: true
                            user:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: 123
                                _view:
                                  type: string
                                  example: n
                      hasMore:
                        type: boolean
                        example: true
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 1000000015
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 10000000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 9999999
                          remaining_day:
                            type: integer
                            example: 49973
      tags:
        - Notifications
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````